# Interface LogIterator

All Superinterfaces:
  `AutoCloseable, Closeable, Iterator<LogEntry>`

public interface LogIterator extends Iterator<LogEntry>, Closeable

## Method Summary

Modifier and Type
Method
Description
`long`
`size()`

### Methods inherited from interface Closeable

`close`

### Methods inherited from interface Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### size

long size() throws IOException

Throws:
  `IOException`